EZ_GetBackgroundGC(3)

NAME
EZ_GetBackgroundGC, EZ_GetbackgroundTileGC - return the background GC.

SYNOPSIS
#include <EZ.h>

int EZ_GetParentGC(EZ_Widget *widget, GC *gc, unsigned long *pv)
int EZ_GetParentTileGC(EZ_Widget *widget, GC *gc, unsigned long *pv)

ARGUMENTS
widget Specifies a widget.

gc Specifies the return of parent's background GC.

pv Specifies the return of the pixel value.

DESCRIPTION

EZ_GetParentBgGC returns the GC used to render parent's background. It also returns the background pixel value. If background tile is used, it returns the background tile GC but leaves the tile origin undefined. In this case, the background pixel value is meaningless.

EZ_GetParentBgTileGC returns the GC used to render parent's background. If background tile is used, it returns the background tile GC with the tile origin properly set.

The returned GC is immediate, it will be modified by EZWGL.

SEE ALSO
EZ_GetWidgetTileOrigin(3)
EZ_GetDarkBrightNormalBDGC(3)